//
//  UIKeyboardView.h
//
//
//  Created by  YFengchen on 13-1-4.
//  Copyright 2013 __zhongyan__. All rights reserved.
//

#import <UIKit/UIKit.h>
#define IOS_VERSION [[[UIDevice currentDevice] systemVersion] floatValue]
#ifndef LANG
#define LANG(str) NSLocalizedStringFromTable(str, @"localizable", nil)
#endif

@protocol UIKeyboardViewDelegate;

@interface UIKeyboardView : UIView {
	id <UIKeyboardViewDelegate> _delegate;
	UIToolbar *keyboardToolbar;
}

@property (nonatomic, strong) id <UIKeyboardViewDelegate> delegate;

@end

@interface UIKeyboardView (UIKeyboardViewAction)

- (UIBarButtonItem *)itemForIndex:(NSInteger)itemIndex;

@end

@protocol UIKeyboardViewDelegate <NSObject>

- (void)toolbarButtonTap:(UIButton *)button;

@optional

@end
